/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '../../../../styles/plateg-variables.less';

.filter-bar-new {
  margin: 2em 0;
  filter: drop-shadow(0px 0px 2px rgba(0, 0, 0, 0.25));
  position: relative;
  z-index: 10;

  .filter-item {
    span {
      font-size: 1.6rem;
    }

    &:first-of-type {
      border-top-left-radius: 8px;
      border-bottom-left-radius: 8px;
    }

    &:last-of-type {
      [class$='selector']:not(.ant-select-selector) {
        border-top-right-radius: 8px;
        border-bottom-right-radius: 8px;
        transition: none;
      }
    }
  }

  .filter-row-right {
    &:last-of-type {
      border-top-right-radius: 8px;
      border-bottom-right-radius: 8px;

      &.filter-item-active {
        border-bottom-right-radius: 0;

        [class$='selector']:not(.ant-select-selector) {
          border-bottom-right-radius: 0;
        }
      }
    }
  }

  .filter-row-new {
    .ant-select-arrow {
      color: unset;
      height: 100%;
      top: 65%;
      align-items: normal;
      margin-top: -0.7rem;
      svg {
        height: 0.6rem;
      }
    }

    .ant-select {
      width: 240px;
      height: 32px;
      .ant-select-item-option-selected:not(.ant-select-item-option-disabled) {
        color: #000;
        font-weight: 600;
        background-color: #e6f7ff;
      }

      .ant-select-selector {
        border: 1px solid @platform-blue2;
        box-shadow: none;
        .ant-select-selection-item,
        .ant-select-selection-placeholder {
          line-height: 32px;
          font-size: 1.4rem !important;
          color: @platform-text-color !important;
        }
      }
    }

    .ant-select-single.ant-select-open {
      .ant-select-selector {
        .ant-select-selection-item {
          color: unset;
        }
      }
    }

    .filter-bar-sort-open,
    .filter-bar-display-mode-open {
      .filter-bar-sort-selection-item,
      .filter-bar-display-mode-selection-item {
        color: unset;
      }
    }

    .filter-label {
      display: block;
      line-height: 22px;
      font-size: 1.4rem;
      font-weight: 500;
      margin-bottom: 8px;
    }

    .ant-col {
      display: flex;
      flex-flow: row wrap;

      &.filter-row-spacer {
        flex-grow: 1;
      }

      &.filter-row-right {
        margin-right: 0;
        margin-left: auto;
      }

      .expand-all-rows-btn {
        align-self: flex-end;
        margin-right: 19px;
      }

      .row-count-wrapper {
        display: flex;

        .table-row-count {
          align-self: flex-end;
          margin-left: 32px;
          margin-right: 0;
          line-height: 32px;
          font-weight: 500;
        }

        &.table-row-count-with-sorter {
          margin-left: auto;
        }
      }

      .filter-dropdown-link {
        margin-left: 19px;
        font-size: @platform-main-font-size;
      }
    }
  }

  .filter-top-row {
    .filter-item {
      background-color: #fff;
      flex-wrap: nowrap;
      &:not(:last-child) {
        margin-right: 2px;
      }
    }

    .filter-row-left {
      flex-grow: 0;
    }

    .filter-row-center {
      flex-grow: 3;
      align-items: center;
      justify-content: flex-end;
      .table-row-count {
        padding-right: 1.6rem;
      }
    }

    .filter-row-right {
      flex-grow: 0;
    }

    .filter-bar-button {
      padding: 2rem 3.2rem;
      height: 100%;
      display: inline-flex;
      align-items: center;
      font-weight: 500;
      border: 1px solid transparent;
      outline-color: transparent;
      border-color: transparent;
      font-size: 1.6rem;
      border-top-left-radius: inherit;
      border-bottom-left-radius: inherit;

      .ant-btn-icon {
        svg {
          width: 1.2rem;
        }
      }

      &:hover {
        border: 1px solid @platfrom-blue1;
        color: @platfrom-blue1 !important;
        border-color: @platfrom-blue1 !important;
        transition: none;
        outline-color: @platfrom-blue1 !important;
        background-color: inherit !important;
      }

      &.active {
        background-color: @platform-blue13 !important;
        color: @platfrom-blue1;
        border-bottom-left-radius: 0;
      }

      &:focus {
        background-color: @platform-blue13 !important;
        color: @platfrom-blue1 !important;
        outline-color: inherit !important;
        border-color: inherit !important;
      }
    }

    .filter-bar-sort {
      height: 100%;

      .filter-bar-sort-arrow {
        svg {
          color: @platfrom-blue1;
        }
      }

      .filter-bar-sort-selector {
        border: 1px solid transparent;
        &:hover,
        &:active {
          border-color: @platfrom-blue1 !important;
          border: 1px solid @platfrom-blue1;
          animation: none;
        }
      }

      .sort {
        display: flex;

        &-label {
          font-weight: 500;
        }

        &-item {
          font-weight: 500;
          color: @platfrom-blue1;
          white-space: nowrap;
          max-width: 20ch;
          display: inline-block;
          overflow: visible;
          text-overflow: ellipsis;
          > span {
            font-size: 1.6rem !important;
          }
        }
      }
    }

    .filter-bar-display-mode {
      height: 100%;

      .filter-bar-display-mode-arrow {
        svg {
          color: @platfrom-blue1;
        }
      }

      .filter-bar-display-mode-selector {
        border: 1px solid transparent;
        &:hover,
        &:active {
          border-color: @platfrom-blue1 !important;
          animation: none;
        }
      }
      .display-mode {
        &-label {
          font-weight: 500;
        }
        &-item {
          font-weight: 500;
          color: @platfrom-blue1;
          white-space: nowrap;
          max-width: 20ch;
          display: inline-block;
          overflow: hidden;
          text-overflow: ellipsis;
          > span {
            font-size: 1.6rem !important;
          }
        }
      }
    }
    .theme-generic-items-per-page-picker-select- .filter-bar-sort-selector {
      &:hover {
        border-top-right-radius: 0px;
        border-bottom-right-radius: 0px;
      }
    }
  }

  .filter-drawer {
    background: @platform-blue13;
    padding: 1.6rem 2.4rem;
    margin-top: 2px;

    .ant-col {
      display: flex;
      flex-flow: row wrap;
    }

    &.hidden {
      display: none;
    }
  }

  .filter-option {
    font-size: 1.4rem !important;
  }

  .filter-option.ant-select-item-option-selected:not(.ant-select-item-option-disabled) {
    color: unset;
    font-weight: normal;
    background-color: unset;
  }

  .filter-option.ant-select-item-option-active:not(.ant-select-item-option-disabled) {
    background-color: @platform-blue4!important;
  }

  .ant-select:not(.ant-select-disabled):hover .ant-select-selector,
  .ant-select:not(.ant-select-disabled):focus .ant-select-selector,
  .ant-select-focused:not(.ant-select-disabled).ant-select-single:not(.ant-select-customize-input)
    .ant-select-selector {
    border: 2px solid #0032d9;
    box-shadow: inset 0px 0px 0px 1px #4065e2;
  }

  .active-filter-number {
    background-color: @platfrom-blue1;
    border-radius: 35%;
    color: #fff;
    min-width: 3.2rem;
    height: 1.8rem;
    display: flex;
    font-size: 1.4rem;
    align-items: center;
    justify-content: center;
  }
}

.filter-bar-sort-dropdown {
  .filter-bar-sort-item {
    padding: 1.2rem 1.6rem;
    span {
      font-size: 1.6rem !important;
    }
  }
}

.filter-bar-display-mode-dropdown {
  .filter-bar-display-mode-item {
    padding: 1.2rem 1.6rem;
    span {
      font-size: 1.6rem !important;
    }
  }
}
